Bug 101981 - Removing accent mark from Calc functions in the Spanish locale
Summary: Removing accent mark from Calc functions in the Spanish locale
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Adolfo Jayme
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.3
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-07 21:54 UTC by Johnny_M
Modified: 2016-09-18 21:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johnny_M 2016-09-07 21:54:09 UTC
Is there a reason to have/keep an accent mark in Calc function names in the Spanish locale or could it be removed?

E.g.: DÍA, DÍASEM, MÁX, MAYÚSC, MÍN, etc.

Because the biggest competitor (Excel) doesn't use it - see (in Spanish) https://support.office.com/es-es/article/Funciones-de-Excel-por-orden-alfab%C3%A9tico-b3944572-255d-4efb-bb96-c6d90033e188

And Apache OO apparently removed it in version 4.0.1, too - see (in Spanish) http://blog.open-office.es/calc/cambios-importantes-en-las-funciones-de-openoffice-4-0-1-calc

So that it might be good to standardize.

This needs feedback from Spanish locale users, though. I'm just suggesting it.
Comment 1 Johnny_M 2016-09-07 22:27:20 UTC
Another point for removal would be that the accent mark doesn't seem to be used consequently (according to the online help). E.g., following functions don't use it:

DIA.LAB, DIAS.LAB, RAIZ2PI (but RAÍZ), MULTIPLO.SUPERIOR.ISO/EXACTO (but MÚLTIPLO.SUPERIOR), etc.
Comment 2 Heiko Tietze 2016-09-08 08:40:54 UTC
Sounds like a question for the l10n team. The question is in fact how native speakers deal with accents or diacritic characters. I guess its a WONTFIX.

(Wonder if l10n@global.libreoffice.org would make sense as CC)
Comment 3 Johnny_M 2016-09-08 10:46:05 UTC
Thanks for feedback! But please note that this refers to the accent mark only (not "ñ", which is also used in function names, but equally to, e.g., Excel). Also, it refers only to the Spanish locale (I'm personally not familiar with the other languages using the question mark).

This is intended as alignment to other spreadsheet implementations, in the spirit of the changes already made in LO from time to time. E.g.,
https://wiki.documentfoundation.org/ReleaseNotes/5.3#Changed_spreadsheet_functions
and
https://wiki.documentfoundation.org/ReleaseNotes/5.2#Changed_spreadsheet_functions

Other implementations aligned to Excel with respect to not using the accent mark in spreadsheet function names in the Spanish locale are Apple Numbers (https://www.apple.com/es/mac/numbers/compatibility/) and Google Spreadsheet (https://support.google.com/docs/table/25273?hl=es).
Comment 4 Adolfo Jayme 2016-09-08 11:22:12 UTC
Yeah, some people in the Spanish localization mailing list also suggested that we do it, so I’m doing that now.
Comment 5 Johnny_M 2016-09-08 12:06:03 UTC
(In reply to Adolfo Jayme from comment #4)
> Yeah, some people in the Spanish localization mailing list also suggested
> that we do it, so I’m doing that now.

Thank you very much for that!

I'm adding "target:5.3.0" for future reference. Please feel free to append/correct as needed.

P.S.: We might have a new record on the quickest resolved enhancement request here. :)
Comment 6 sophie 2016-09-09 08:12:30 UTC
Hi, so I'm gonna ask on the l10n list because it seems that several languages are using accents in function name. I would suggest to remove them unless it really changes the meaning of the word in the context (that's what I've done for French, we don't use accents in function names). Sophie
Comment 7 Johnny_M 2016-09-18 11:06:03 UTC
I assume that the current "master" translation branch will also be part of the future LO 5.2.3, so added "target:5.2.3" as well.

(It looks like it won't be in LO 5.2.2 because that has already been branched off - see https://github.com/LibreOffice/translations/branches )
Comment 8 Johnny_M 2016-09-18 11:47:27 UTC
I've added a note about this change to the release notes of LO 5.2 and also 5.3 - see https://wiki.documentfoundation.org/ReleaseNotes/5.2#Localization and https://wiki.documentfoundation.org/ReleaseNotes/5.3#Localization

(I added it to *both* versions, because the change will first appear in between of them - in the minor version 5.2.3 -, due to translation branch handling processes.)
Comment 9 Adolfo Jayme 2016-09-18 21:50:37 UTC
Thank you very much, Johnny! :-)